Bug 399331 - current mysql-server not support timout
current mysql-server not support timout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.1
All Linux
low Severity high
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 05:55 EST by Levente Farkas
Modified: 2013-07-02 23:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.45-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 20:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2007-11-26 05:55:18 EST
Description of problem:
the current mysql-server do not support timout unfotunately mysql-server suuport
it only from 5.0.25 (according to mysql docs). but it's an essential feature!
without it none of the real serious apps can use mysql. none of the apps can
handle any kind of network connection lost currently (or just very ugly and
dirty way). it's a must for all kind of sql server.
http://dev.mysql.com/doc/refman/5.0/en/mysql-options.html
so please upgrade to at least 5.0.25 or later or at least include the patch for
timeout.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Levente Farkas 2008-02-15 16:19:12 EST
any progress with this bug?
Comment 2 Tom Lane 2008-05-25 20:57:08 EDT
Fixed in RHEL 5.2 update.

Note You need to log in before you can comment on or make changes to this bug.